#!/bin/sh
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi

}

showRadio "Прозрачность меню Функции" "" "Сделать прозрачным" "Восстановить" 
ret=$?
case $ret in
0)
exec $mypath/index.sh
;;
1)
showNotify "" "Делаем.." 0

cat $homescreen_p  | sed -e'/\[ZOptionsMenu\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed -e'/\[ZOptionsMenuItem\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed '/\[Font_DateStd\]/i \[ZOptionsMenuItem]\
Spacing_H1 = 2\
Padding_Left = 2\
Padding_Bottom = 1\
Padding_Top = 1\
Padding_Right = 2\
Bg_Type_Std = 0\
Bg_Opacity_Std = 0\
Bg_Type_S = 0\
Bg_Opacity_S = 0\
Bg_Type_H = 2\
Bg_Stretch_H = 5\
Bg_Opacity_H = 0\
Bg_Type_HS = 2\
Bg_Stretch_HS = 5\
Bg_Opacity_HS = 0\
\
[ZOptionsMenu]\
Spacing_V3 = 1\
Spacing_V1 = 0\
Padding_Left = 1\
Padding_Bottom = 1\
Padding_Top = 1\
Padding_Right = 1\
Spacing_V2 = 1\
Bg_Type_Std = 0\
Bg_Opacity_Std = 0\
Border_Bottom_Stretch_Std = 6\
Border_Type_Std = 2\
Border_Opacity_Std = 100\
Border_Top_Stretch_Std = 6\
Border_Left_Stretch_Std = 6\
Border_Right_Stretch_Std = 6\
' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)
showNotify "" "Удаляем прозрачность.." 0

cat $homescreen_p  | sed -e'/\[ZOptionsMenu\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed -e'/\[ZOptionsMenuItem\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
*)
exit 0
;;
esac