#!/bin/sh
mypath=${0%/*}
export PATH=${0%/*}:$PATH
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini

set_color()
{
showRadio "Выберите цвет" "" "Белый" "Черный" "Красный" "Зеленый" "Голубой" "Розовый" "Зеленоватый" "Желтый" "Морской волны" "Коричневый" "Серый" "Выбрать самому(может не работать)"
case $? in
	 0)
	 exec $mypath/index.sh

	 ;;
     1)
	 color=16777215

	 ;;
     2)
	 color=0

	 ;;
     3)
	 color=16711680

	 ;;
     4)
	 color=65280

	 ;;
     5)
	 color=255 

	 ;;
     6)
	 color=16711935

	 ;;
     7)
	 color=65535

	 ;;
     8)
	 color=16776960

	 ;;
     9)
	 color=7396243

	 ;;
     10)
	 color=10911037

	 ;;
     11)
	 color=12632256 

	 ;;
     12)
	 color=`showTextEntry "Свой цвет" ""`
	 if [ "$color" = "" ]
	 then
	 color=0
     fi
     ;;
	 *)
     ;;
esac
}

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi

}

showRadio "Цв. шрифта Л,П и меню" "" "Цвет шрифта меню Функции" "2 цвет шрифта меню Функции" "Цвет шрифта Л софткн." "Восстановить оригинальные значения"
ret=$?
case $ret in
0)
exec $mypath/index.sh
;;
1)
set_color
cat $homescreen_p  | sed -e'/\[Font_OptmenuItemStd\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed '/\[Font_DateStd\]/i \[Font_OptmenuItemStd]\
AntiAliasing = 1\
Color = 0\
Align = 1\
Leading = 20\
Style = 0\
Size = 16\
' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed "/\[Font_OptmenuItemStd\]/,/Color/s/Color\ =\ .*/Color\ =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)
set_color
cat $homescreen_p  | sed -e'/\[Font_OptmenuItemH\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed '/\[Font_DateStd\]/i \[Font_OptmenuItemH]\
AntiAliasing = 1\
Color = 16777215\
Align = 1\
Leading = 20\
Style = 0\
Size = 17\
' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed "/\[Font_OptmenuItemH\]/,/Color/s/Color\ =\ .*/Color\ =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
3)
set_color
cat $homescreen_p  | sed -e'/\[Font_SoftkeyStd\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed '/\[Font_DateStd\]/i \[Font_SoftkeyStd]\
AntiAliasing = 1\
Color = 16777215\
Align = 36\
Leading = 22\
Style = 0\
Size = 17\
' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed "/\[Font_SoftkeyStd\]/,/Color/s/Color\ =\ .*/Color\ =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
4)
cat $homescreen_p  | sed -e'/\[Font_OptmenuItemStd\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed -e'/\[Font_OptmenuItemH\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
cat $homescreen_p  | sed -e'/\[Font_SoftkeyStd\]/,/^$/d' >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
*)
exit 0
;;
esac