#!/bin/sh
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi

}

showRadio "Настройки размера шрифта" "" "Размер шрифта часов" "Размер шрифта даты" "Размер шрифта оператора" 
case "$?" in
0)
exec $mypath/index.sh
;;
1)
cat $homescreen_p  | sed -e'/\[Font_DigitalClockStd\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Size\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Size\>\ = //"`
rm /tmp/homescreen_p1.ini
$mypath/showSlider "Размер шрифта часов"  "Текущее значение:" 1 40  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/Font_DigitalClockStd/,/\<Size\>/s/\<Size\>\ =\ .*/Size\ =\ $a/g" >/tmp/homescreen_p.ini

mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)
cat $homescreen_p  | sed -e'/\[Font_DateStd\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Size\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Size\>\ = //"`
rm /tmp/homescreen_p1.ini
$mypath/showSlider "Размер шрифта даты"  "Текущее значение:" 1 40  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/Font_DateStd/,/\<Size\>/s/\<Size\>\ =\ .*/Size\ =\ $a/g" >/tmp/homescreen_p.ini

mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
3)
cat $homescreen_p  | sed -e'/\[Font_IdleStatusStd\]/,/^$/!d' >/tmp/homescreen_p1.ini
t=`grep "\<Size\> = " "/tmp/homescreen_p1.ini" | sed "s/\<Size\>\ = //"`
rm /tmp/homescreen_p1.ini
$mypath/showSlider "Размер шрифта имени оператора"  "Текущее значение:" 1 40  $t
a=$?
if [ "0" = "$a" ]	
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/Font_IdleStatusStd/,/\<Size\>/s/\<Size\>\ =\ .*/Size\ =\ $a/g" >/tmp/homescreen_p.ini

mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
*)
exit 0
;;
esac

