#!/bin/sh
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi
}

showRadio "Сокрытие софткнопок" "" "Убрать" "Восстановить" 
case $? in
0)
exec $mypath/index.sh
;;
1)
showQ "Настройка" "Вы точно хотите скрыть софткнопки?" 1
if [ "0" = "$?" ]   
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Padding_Left\>/s/\<Padding_Left\>\ =\ .*/Padding_Left\ =\ -50/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Padding_Top\>/s/\<Padding_Top\>\ =\ .*/Padding_Top\ =\ -50/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Padding_Right\>/s/\<Padding_Right\>\ =\ .*/Padding_Right\ =\ -50/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Padding_Top\>/s/\<Padding_Top\>\ =\ .*/Padding_Top\ =\ -50/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 0/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 0/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 0/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 0/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)showQ "Настройка" "Вы точно хотите восстановить софткнопки?" 1
if [ "0" = "$?" ]   
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Padding_Left\>/s/\<Padding_Left\>\ =\ .*/Padding_Left\ =\ -5/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Padding_Top\>/s/\<Padding_Top\>\ =\ .*/Padding_Top\ =\ 2/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Padding_Right\>/s/\<Padding_Right\>\ =\ .*/Padding_Right\ =\ -5/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Padding_Top\>/s/\<Padding_Top\>\ =\ .*/Padding_Top\ =\ 2/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 60/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 60/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 60/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 60/" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
*)
exit 0
;;
esac