#!/bin/sh
mypath=${0%/*}
export PATH=${0%/*}:$PATH
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini
homescreen_p_bak=$CurrentSkin/homescreen_p.ini_bak

set_color()
{
showRadio "Выберите цвет шрифта РС" "" "Белый" "Черный" "Красный" "Зеленый" "Голубой" "Розовый" "Зеленоватый" "Желтый" "Морской волны" "Коричневый" "Серый" "Выбрать самому(может не работать)"
case $? in
	 0)
	 exec $mypath/index.sh

	 ;;
     1)
	 color=16777215

	 ;;
     2)
	 color=0

	 ;;
     3)
	 color=16711680

	 ;;
     4)
	 color=65280

	 ;;
     5)
	 color=255 

	 ;;
     6)
	 color=16711935

	 ;;
     7)
	 color=65535

	 ;;
     8)
	 color=16776960

	 ;;
     9)
	 color=7396243

	 ;;
     10)
	 color=10911037

	 ;;
     11)
	 color=12632256 

	 ;;
     12)
	 showTextEntry "Свой цвет" ""
	 color=$?
	 showQ "Установить цвет?" "$color" 1
	 if [ "$color" = "0" ]
	 then
	 exec $mypath/index.sh
     fi
     ;;
	 *)
     ;;
esac
}

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi

}

showRadio "Цвет шрифта" "" "Цвет шрифта даты" "Цвет шрифта часов" "Цвет шрифта имени оператора"
case $? in
0)
exec $mypath/index.sh
;;
1)
set_color
cat $homescreen_p  | sed "/Font_DateStd/,/\<Color\>/s/\<Color\>\ =\ .*/Color =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
sho
;;
2)
set_color
cat $homescreen_p  | sed "/Font_DigitalClockStd/,/\<Color\>/s/\<Color\>\ =\ .*/Color =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
sho 
;;
3)
set_color
cat $homescreen_p  | sed "/Font_IdleStatusStd/,/\<Color\>/s/\<Color\>\ =\ .*/Color =\ $color/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p
sho
;; 
*)
exit 0
;;
esac