#!/bin/sh
mypath=${0%/*}
THEMECFG="/ezxlocal/download/appwrite/setup/ezx_theme.cfg"
CurrentSkin=`grep "^CurrentSkin = " "$THEMECFG" | sed "s/CurrentSkin = //"`
homescreen_p=$CurrentSkin/homescreen_p.ini

sho()
{
showQ "Сделано!" "Перезагрузить интерфейс?" 1
if [ "1" = "$?" ]	
then
kill `pidof phone`
else
showNotify "Возвращаемся в меню." "Пожалуйста, перезагрузите интерфейс позже" 0
exec $mypath/index.sh
exit 0
fi

}

showRadio "Прозрачность клавиш" "" "Выборочное значение" "Полная прозрачность" "Полная непрозрачность"
ret=$?
case $ret in
0)
exec $mypath/index.sh
;;
1)
$mypath/showSlider "Определите прозрачность Л и П софткл."  "0 - прозрачные, 100 - нет" 1 99  50
a=$?
if [ "0" = "$a" ]
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ $a/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
2)showQ "Выбрана полная прозрачность" "Вы уверены что хотите полной прозрачности?" 1
if [ "0" = "$?" ]   
then
show
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 0/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 0/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 0/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 0/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
3)showQ "Настройка непрозрачности" "Вы уверены что хотите непрозрачные софткн.?" 1
if [ "0" = "$?" ]   
then
exec $mypath/index.sh
fi
showNotify "" "Делаем.." 0
cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 100/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Left/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 100/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_Std\>/s/\<Bg_Opacity_Std\>\ =\ .*/Bg_Opacity_Std\ =\ 100/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

cat $homescreen_p  | sed "/ZSoftKey_Right/,/\<Bg_Opacity_S\>/s/\<Bg_Opacity_S\>\ =\ .*/Bg_Opacity_S\ =\ 100/g" >/tmp/homescreen_p.ini
mv -f /tmp/homescreen_p.ini $homescreen_p

sho
;;
*)
exit 0
;;
esac